Written by
Get workbook export result
Returns the result of the specified workbook export.
Request
POST
https://api.datalens.tech/rpc/getWorkbookExportResult
Headers
|
Name |
Description |
|
x-dl-api-version |
Type: string API version header. Const: Example: |
Body
application/json
{
"exportId": "example"
}
|
Name |
Description |
|
exportId |
Type: string ID of the workbook export whose result to retrieve. Example: |
Responses
200 OK
Response
Body
application/json
{
"exportId": "example",
"data": {
"export": {},
"hash": "example"
},
"status": "pending"
}
|
Name |
Description |
||||||
|
data |
Type: object
Example
|
||||||
|
exportId |
Type: string ID of the workbook export. Example: |
||||||
|
status |
Type: WorkbookTransferProcessStatus Status of the workbook transfer process. Enum: |
WorkbookTransferProcessStatus
Status of the workbook transfer process.
Type: string
Enum: pending, success, error